# DataExchange
TKXDESTEP
STEPCAFControl

# STEPCAFControl_DataMapNodeOfDataMapOfShapeLabel Class Reference

`#include <STEPCAFControl_DataMapNodeOfDataMapOfShapeLabel.hxx>`

## Public Member Functions

| STEPCAFControl_DataMapNodeOfDataMapOfShapeLabel (const TopoDS_Shape &K, const TDF_Label &I, const TCollection_MapNodePtr &n)
TopoDS_Shape & | Key () const
TDF_Label & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TopoDS_Shape | myKey
TDF_Label | myValue

## Constructor & Destructor Documentation

STEPCAFControl_DataMapNodeOfDataMapOfShapeLabel::STEPCAFControl_DataMapNodeOfDataMapOfShapeLabel | ( | const TopoDS_Shape & | K,
|  | const TDF_Label & | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const STEPCAFControl_DataMapNodeOfDataMapOfShapeLabel::Handle | ( | Standard_Type |  | ) | const

TopoDS_Shape& STEPCAFControl_DataMapNodeOfDataMapOfShapeLabel::Key | ( |  | ) | const

TDF_Label& STEPCAFControl_DataMapNodeOfDataMapOfShapeLabel::Value | ( |  | ) | const

## Field Documentation

TopoDS_Shape STEPCAFControl_DataMapNodeOfDataMapOfShapeLabel::myKey `[private]`

TDF_Label STEPCAFControl_DataMapNodeOfDataMapOfShapeLabel::myValue `[private]`

The documentation for this class was generated from the following file:

- STEPCAFControl_DataMapNodeOfDataMapOfShapeLabel.hxx